Update a List of Page Dynamic Attributes

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "iFormBuilder V81 MCP server": {
    "url": "https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/mcp"
  }
}

Close
PUT /profiles/{profile_id}/pages/{page_id}/dynamic_attributes

Headers

  • Authorization string

    e.g. Bearer {access_token}

Path parameters

  • profile_id string Required

    id of the profile

  • page_id number Required

    id of the page

Query parameters

  • fields string

    extra information of each page dynamic attribute on the list

  • limit number

    maximum count of the page dynamic attribute list

  • offset number

    skip that many page dynamic attribute before beginning to return

  • validate_grammar string

    returns an error for incorrect field grammar when set to true

  • all_fields boolean

    will show all fields for each page dynamic attribute

  • exclude string

    will exclude specified fields

application/json

Body

  • attribute_name: `map_priority` string Required
  • value string Required
    • value validation (ie. string or boolean) could change based on specific page dynamic attribute.

Responses

  • 200 application/json

    OK

    Hide response attribute Show response attribute object
    • language_code string Required

      the updated language code

  • 404 application/json

    Not Found - page_id does not exist or is not a page of profile_id.

    Hide response attribute Show response attribute object
    • error_message string Required

      human-readable reason for the failure

PUT /profiles/{profile_id}/pages/{page_id}/dynamic_attributes
curl \
 --request PUT 'https://api.iformbuilder.com/exzact/api/v81/[servername]/profiles/self/pages/{page_id}/dynamic_attributes' \
 --header "Content-Type: application/json" \
 --header "Authorization: Bearer {access_token}" \
 --data '[
  {
    "attribute_name": "map_priority",
    "value": "my_element2"
  },
  {
    "attribute_name": "map_disable_top_location",
    "value": false
  }
]'
Request example
[
  {
    "attribute_name": "map_priority",
    "value": "my_element2"
  },
  {
    "attribute_name": "map_disable_top_location",
    "value": false
  }
]
Response examples (200)
[
  {
    "attribute_name": "map_priority"
  },
  {
    "attribute_name": "map_disable_top_location"
  }
]
Response examples (404)
{
  "error_message": "The requested resource is not found"
}